Loading...
Searching...
No Matches
oval_variable_binding Struct Reference
OVAL » OVALSYS

Binding of an value to an OVAL variable. More...

`#include <oval_system_characteristics.h>`

Collaboration diagram for oval_variable_binding:
[legend]

## Public Member Functions

OSCAP_API struct oval_variable_binding * | oval_variable_binding_new (struct oval_variable *, char *)
OSCAP_API struct oval_variable_binding * | oval_variable_binding_clone (struct oval_variable_binding *, struct oval_definition_model *)
OSCAP_API void | oval_variable_binding_free (struct oval_variable_binding *)
Setters
OSCAP_API void | oval_variable_binding_set_variable (struct oval_variable_binding *, struct oval_variable *)
OSCAP_API void | oval_variable_binding_add_value (struct oval_variable_binding *, char *)
Getters
OSCAP_API struct oval_variable * | oval_variable_binding_get_variable (struct oval_variable_binding *)
| Get variable for this binding.
OSCAP_API struct oval_string_iterator * | oval_variable_binding_get_values (struct oval_variable_binding *)
| Get value of this binding.

## Data Fields

struct oval_variable * | variable
struct oval_collection * | values

## Detailed Description

Binding of an value to an OVAL variable.

The documentation for this struct was generated from the following files:

- oval_variableBinding.c
- oval_system_characteristics.h